Results 1 to 3 of 3
  1. #1
    Join Date
    Jun 2006
    Posts
    76
    Plugin Contributions
    0

    Upgrade to 1.3.0.5 - strtolower question

    When I compared the files, I saw admin/includes/functions/general.php has two lines with strtolower command. My cart is multilanguage that includes english, traditional chinese and simplified chinese and in utf-8 format.

    Is strtolower or strtoupper command compatible for charset in utf-8? I am afraid the wrong code will appear.

    If the command are not compatible for utf-8 codes, can I delete this command wherever it appeared?

    Thanks.

  2. #2
    Join Date
    Jan 2004
    Posts
    59,807
    Blog Entries
    4
    Plugin Contributions
    133

    Default Re: Upgrade to 1.3.0.5 - strtolower question

    The changes for 1.3.5 added some new functionality to these admin functions:
    - zen_cfg_select_option()
    - zen_cfg_select_multioption()

    In these cases, there should be no effect on your language issues. They are used only in drawing XHTML label tags on-screen for easier navigation. They do not affect your data.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donations always welcome: www.zen-cart.com/donate

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  3. #3
    Join Date
    Jun 2006
    Posts
    76
    Plugin Contributions
    0

    Default Re: Upgrade to 1.3.0.5 - strtolower question

    Thanks DrByte.

 

 

Similar Threads

  1. Upgrade Question...
    By zenned in forum Upgrading from 1.2 to 1.3.x
    Replies: 15
    Last Post: 30 Jul 2006, 08:33 PM
  2. Upgrade question
    By madk in forum Upgrading from 1.2 to 1.3.x
    Replies: 1
    Last Post: 7 Jun 2006, 09:48 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •